@import "optionals/variables.scss";
@import "bootstrap";
@import "carousel.scss";
@import "dark-theme.scss";

@import "mixin/form.scss";

.text-balise:before {
    content:url('../images/balise-green.png') ;
    margin-right: 10px;
}

.admin-link {
    position: relative;

    &:not(:first-child) {
        margin-left: 0.5em;
    }
}

.definition {
    height: 2em;
}

.content-description {
    background-color: #16181b;
}

/** OPACITY */
.opacity-20 {
    opacity: 0.2;
}

/** Z-INDEX */
.z-index-10 {
    z-index: 10;
}

/** NAVBAR */
li.dropdown:hover > .dropdown-menu {
    display: block;
}

.navbar-dark .navbar-toggler {
    border: none;

    &:focus {
        outline: none;
    }
}

@include media-breakpoint-up(xl) {
    #menu {
        z-index: 20;
        width: 100%;
        padding-left: 190px;
        margin-top: 20px;
        border-top: 10px solid $secondary;
    }

    .navbar-logo {
        z-index: 2;
        top: -30px;
        left: 10px;
    }
}

#mobile-nav-content {
    display: none;
    position: absolute;
    top: 0px;
    height: 100%;
    width: 100%;
    background-color: $gray-900;
    z-index: 999;
    overflow-y: scroll;
}

/** TIMELINE */
ul.timeline {
    list-style-type: none;
    position: relative;

    &:before {
        content: ' ';
        background: #d4d9df;
        display: inline-block;
        position: absolute;
        left: 9px;
        width: 2px;
        height: 100%;
        z-index: 400;
    }

    li {
        margin: 20px 0;

        &:before {
            content: ' ';
            background: white;
            display: inline-block;
            position: absolute;
            border-radius: 50%;
            border: 3px solid $primary;
            left: 0;
            width: 20px;
            height: 20px;
            z-index: 400;
        }
    }
}

/** BREADCRUMB */
.breadcrumb {
    padding: 0.25rem 0;
    margin-bottom: 0;
}

.pagination {
    @include media-breakpoint-down(md) {
        display: inline-flex;
    }
    margin-top: 1em;
}

/** CARD */
.card-file {
    display: grid;
    grid-template-columns: auto min-content;
}

/** BUTTON */
.btn-outline-facebook {
    color: #1877f2;
    border-color: #1877f2;

    &:hover, &:focus {
        color: white;
        background-color: #0d6ae4;
    }
}
.btn-outline-instagram {
    color: #c13584;
    border-color: #c13584;

    &:hover, &:focus {
        color: white;
        background-color: #ad3076;
    }
}
.btn-outline-strava {
    color: #fc4c02;
    border-color: #fc4c02;

    &:hover, &:focus {
        color: white;
        background-color: #e34402;
    }
}
.btn-outline-vikazimut {
    color: #FB651F;
    border-color: #FB651F;

    &:hover, &:focus {
        color: white;
        background-color: #e34b04;
    }
}

/** ALERT */
.messages {
    position: fixed;
    bottom: 2em;
    right: 2em;
    z-index: 100;
}

/** IMAGE */
.img-header {
    max-width: 100%;
}